Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util
Class FastQSort

    java.lang.Object
      org.exist.util.FastQSort

public final class FastQSort
extends java.lang.Object

This class implements a version of the Introspective Sort Algorithm. Reference: David R. Musser "Introspective Sorting and Selection Algorithms" Software--Practice and Experience, (8): 983-993 (1997) The implementation is mainly inspired on the article describing the algorithm, but also in the work of Michael Maniscalco in C++. It is also slightly based on the previous implementation of FastQSort in eXist. http://www.cs.rpi.edu/~musser/ http://www.cs.rpi.edu/~musser/gp/introsort.ps http://www.michael-maniscalco.com/sorting.htm

Author:
  Jose Maria Fernandez

Constructor Summary
`FastQSort()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`static void` | `sort(java.lang.Comparable[] a, int lo, int hi)`
`static void` | `sort(java.util.List a, int lo, int hi)`
`static void` | `sort(long[] a, int lo, int hi, java.lang.Object[] b)`
`static void` | `sort(NodeProxy[] a, int lo, int hi)`
`static void` | `sort(java.lang.Object[] a, java.util.Comparator c, int lo, int hi)`
`static void` | `sortByNodeId(NodeProxy[] a, int lo, int hi)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastQSort

    public FastQSort()

Method Detail

### sort

    public static void sort(java.lang.Comparable[] a,
                            int lo,
                            int hi)

### sort

    public static void sort(java.lang.Object[] a,
                            java.util.Comparator c,
                            int lo,
                            int hi)

### sort

    public static void sort(java.util.List a,
                            int lo,
                            int hi)

### sort

    public static void sort(NodeProxy[] a,
                            int lo,
                            int hi)

### sortByNodeId

    public static void sortByNodeId(NodeProxy[] a,
                                    int lo,
                                    int hi)

### sort

    public static void sort(long[] a,
                            int lo,
                            int hi,
                            java.lang.Object[] b)

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.